﻿using UnityEngine;
using System.Collections;

public class LSFSeeking : ISteerBehaviour {

	/// <summary>
	/// The source of this seek
	/// </summary>
	private GameObject mSource;
	public GameObject source{ get { return mSource; } }

	/// <summary>
	/// The target of this seek
	/// </summary>
	private GameObject mTarget;
	public GameObject target{ get { return mTarget; } set { mTarget = value; } }

    private Vector3 mOffset;


	public LSFSeeking(GameObject source, GameObject target, Vector3 offset)
	{
		mSource = source;
		mTarget = target;
        mOffset = offset;
	}

	public Vector3 GetSteering()
	{
        if (mTarget != null) Debug.DrawLine(mTarget.transform.position + mOffset, mSource.transform.position, Color.red, 1.0f);
		return (mTarget != null) ? ((mTarget.transform.position + mOffset) - mSource.transform.position).normalized : Vector3.zero;
	}
}
