﻿using UnityEngine;
using System.Collections;

public class LSFWander : ISteerBehaviour
{

    private Vector3 mDirection;
    private Vector3 mNewDirection;
    private float mPercentComplete;

    public LSFWander()
    {
        mDirection = new Vector3();
        mPercentComplete = 1;
    }

    public Vector3 GetSteering()
    {
        if (mPercentComplete > 1)
        {
            mNewDirection = new Vector3(Random.Range(-10.0f, 10.0f), 0, Random.Range(-10.0f, 10.0f));
            mPercentComplete = 0;
        }
        else
        {
            mDirection = Vector3.Lerp(mDirection, mNewDirection, mPercentComplete);
            mPercentComplete += 0.005f;
            //Debug.Log(mDirection.ToString());
        }

        return mDirection.normalized;
    }
}
